### Function

# Gimp Vector2 add

#### Declaration [src]

    void
    gimp_vector2_add (
      GimpVector2* result,
      const GimpVector2* vector1,
      const GimpVector2* vector2
    )

#### Description [src]

Computes the sum of two 2D vectors. The resulting `GimpVector2` is stored in `result`.

#### Parameters

`result` | `GimpVector2`
| Destination for the resulting `GimpVector2`.
| The argument will be set by the function.
| The data is owned by the caller of the function.
`vector1` | `GimpVector2`
| A pointer to the first `GimpVector2`.
| The data is owned by the caller of the function.
`vector2` | `GimpVector2`
| A pointer to the second `GimpVector2`.
| The data is owned by the caller of the function.